org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryCustomEventMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryCustomEventMessage

All Implemented Interfaces:
  Serializable

    @TcpDiscoveryRedirectToClient
    @TcpDiscoveryEnsureDelivery
    public class TcpDiscoveryCustomEventMessage
    extends TcpDiscoveryAbstractMessage

Wrapped for custom message.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_ACK_FLAG_POS, CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, FORCE_FAIL_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryCustomEventMessage(UUID creatorNodeId, DiscoverySpiCustomMessage msg, byte[] msgBytes)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`void` `message(DiscoverySpiCustomMessage msg, byte[] msgBytes)`
`DiscoverySpiCustomMessage` `message(Marshaller marsh, ClassLoader ldr)`
`byte[]` `messageBytes()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`addFailedNode, client, client, creatorNodeId, failedNodes, failedNodes, force, force, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, traceLogLevel, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryCustomEventMessage

    public TcpDiscoveryCustomEventMessage(UUID creatorNodeId,
                                  @Nullable
                                  DiscoverySpiCustomMessage msg,
                                  @NotNull
                                  byte[] msgBytes)

Parameters:
  `creatorNodeId` - Creator node id.
  `msg` - Message.
  `msgBytes` - Serialized message.

### Method Detail

#### messageBytes

    public byte[] messageBytes()

Returns:
  Serialized message.

#### message

    public void message(@Nullable
               DiscoverySpiCustomMessage msg,
               @NotNull
               byte[] msgBytes)

Parameters:
  `msg` - Message.
  `msgBytes` - Serialized message.

#### message

    @Nullable
    public DiscoverySpiCustomMessage message(@NotNull
                                             Marshaller marsh,
                                             ClassLoader ldr)
                                      throws Throwable

Parameters:
  `marsh` - Marshaller.
  `ldr` - Classloader.
Returns:
  Deserialized message,
Throws:
  `Throwable` - if unmarshal failed.

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `TcpDiscoveryAbstractMessage`

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017